version: '3.8'

services:
  belmont-storage:
    image: belmontlabs/belmont-labs-iss:latest
    container_name: belmont-labs-iss
    ports:
      - "8008:8008"    # Change left side to use a different port, e.g. "9000:8008"
    restart: unless-stopped
    environment:
      - PORT=8008
      - STORAGE_HOME=/data/home
      - STORAGE_DOCUMENTS=/data/documents
      - STORAGE_DOWNLOADS=/data/downloads
      - STORAGE_1=/data/storage1
      - STORAGE_2=/data/storage2
      - SETTINGS_FILE=/data/config/settings.json
    volumes:
      # ── Edit these paths to point at your actual directories ──────────────
      - /your/path/to/home:/data/home
      - /your/path/to/documents:/data/documents
      - /your/path/to/downloads:/data/downloads
      - /your/path/to/drive1:/data/storage1
      - /your/path/to/drive2:/data/storage2
      # ── Config/settings — just needs to be a persistent folder ────────────
      - /your/path/to/config:/data/config